#!/usr/bin/env python3
# -*- coding: utf-8 -*-
"""
# @Version     : Python 3.11.4
# @Software    : Sublime Text 4
# @Author      : StudentCWZ
# @Email       : StudentCWZ@outlook.com
# @Date        : 2023/10/29 12:01
# @File        : init_apispec.py
# @Description : Initializes the FlaskApiSpec extension for a Flask application.
"""

from flask import Flask
from flask_apispec import FlaskApiSpec

# Initialize FlaskApiSpec
apispec = FlaskApiSpec()


def init_apispec(app: Flask) -> None:
    """
    Initializes the FlaskApiSpec extension for a Flask application.

    Args:
        app (Flask): The Flask application.

    Returns:
        None
    """
    apispec.init_app(app)
