#!/usr/bin/env python3
# -*- coding: utf-8 -*-
"""
# @Version     : Python 3.11.4
# @Software    : Sublime Text 4
# @Author      : StudentCWZ
# @Email       : StudentCWZ@outlook.com
# @Date        : 2023/10/29 11:21
# @File        : __init__.py
# @Description : Initializes the script for the Flask application.
"""


# Import built-in modules
from flask import Flask

# Import custom modules
from .cmdline import init


def init_script(app: Flask) -> None:
    """
    Initialize the script for the Flask application.

    Args:
        app (Flask): A Flask application instance.

    Returns:
        None
    """
    app.cli.add_command(init)
